picard.analysis

## Class FingerprintingDetailMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.FingerprintingDetailMetrics

-     public class FingerprintingDetailMetrics
      extends htsjdk.samtools.metrics.MetricBase

  Detailed metrics about an individual SNP/Haplotype comparison within a fingerprint comparison.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `CHROM` The chromosome on which the SNP resides.
    `String` | `EXPECTED_GENOTYPE` The expected genotype of the sample at the SNP locus.
    `double` | `LOD` The LOD score for OBSERVED_GENOTYPE vs.
    `int` | `OBS_A` The number of observations of the first, or A, allele of the SNP in the sequencing data.
    `int` | `OBS_B` The number of observations of the second, or B, allele of the SNP in the sequencing data.
    `String` | `OBSERVED_GENOTYPE` The most likely genotype given the observed evidence at the SNP locus in the sequencing data.
    `int` | `POSITION` The position of the SNP on the chromosome.
    `String` | `READ_GROUP` The sequencing read group from which sequence data was fingerprinted.
    `String` | `SAMPLE` The name of the sample who's genotypes the sequence data was compared to.
    `String` | `SNP` The name of a representative SNP within the haplotype that was compared.
    `String` | `SNP_ALLELES` The possible alleles for the SNP.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FingerprintingDetailMetrics()`

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### READ_GROUP

          public String READ_GROUP

      The sequencing read group from which sequence data was fingerprinted.

    - #### SAMPLE

          public String SAMPLE

      The name of the sample who's genotypes the sequence data was compared to.

    - #### SNP

          public String SNP

      The name of a representative SNP within the haplotype that was compared. Will usually be the exact SNP that was genotyped externally.

    - #### SNP_ALLELES

          public String SNP_ALLELES

      The possible alleles for the SNP.

    - #### CHROM

          public String CHROM

      The chromosome on which the SNP resides.

    - #### POSITION

          public int POSITION

      The position of the SNP on the chromosome.

    - #### EXPECTED_GENOTYPE

          public String EXPECTED_GENOTYPE

      The expected genotype of the sample at the SNP locus.

    - #### OBSERVED_GENOTYPE

          public String OBSERVED_GENOTYPE

      The most likely genotype given the observed evidence at the SNP locus in the sequencing data.

    - #### LOD

          public double LOD

      The LOD score for OBSERVED_GENOTYPE vs. the next most likely genotype in the sequencing data.

    - #### OBS_A

          public int OBS_A

      The number of observations of the first, or A, allele of the SNP in the sequencing data.

    - #### OBS_B

          public int OBS_B

      The number of observations of the second, or B, allele of the SNP in the sequencing data.

  - ### Constructor Detail

    - #### FingerprintingDetailMetrics

          public FingerprintingDetailMetrics()